Package org.h2.store

# Class FileStoreOutputStream

java.lang.Object
java.io.OutputStream
org.h2.store.FileStoreOutputStream

All Implemented Interfaces:
  `Closeable`, `Flushable`, `AutoCloseable`

public class FileStoreOutputStream extends OutputStream
An output stream that is backed by a file store.

## Constructor Summary

Constructors
Constructor
Description
`FileStoreOutputStream(FileStore store, String compressionAlgorithm)`

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`void`
`write(byte[] buff)`
`void`
`write(byte[] buff, int off, int len)`
`void`
`write(int b)`

### Methods inherited from class java.io.OutputStream

`flush, nullOutputStream`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FileStoreOutputStream

public FileStoreOutputStream(FileStore store, String compressionAlgorithm)

## Method Details

### write

public void write(int b)

Specified by:
  `write` in class `OutputStream`

### write

public void write(byte[] buff)

Overrides:
  `write` in class `OutputStream`

### write

public void write(byte[] buff, int off, int len)

Overrides:
  `write` in class `OutputStream`

### close

public void close()

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Closeable`
Overrides:
  `close` in class `OutputStream`